/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");
         //sym.$("descripcion").html("Selecciona el número <span class='color-blue'>menor</span> en cada caso.");
         
         //sym.setVariable("tipoactividad", "input");
         
         
         
         

      });
      //Edge binding end

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         //botones
         sym.getSymbol("bt_reiniciar").stop("normal");
         sym.getSymbol("bt_ayuda").stop("normal");
         
         sym.$("hotspot_solucion").show();
         sym.$("hotspot_reiniciar").show();
         sym.$("hotspot_ayuda").show();
         
         // Ocultar un elemento 
         sym.$("help_radio").hide();
         
         //CAMBIAR SEGÚN EL NÚMERO CONDICIONES 
         TotalRadioButton = 3;
         //DEJAR IGUAL O CAMBIAR POR EL TOTAL DE ELEMENTOS
         CrearRadioButton = 12;
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioA_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador1A";
         	sym.$("InputA_"+i).append(nombreElemento);
         }
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioB_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador1B";
         	sym.$("InputB_"+i).append(nombreElemento);
         }
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioC_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador1C";
         	sym.$("InputC_"+i).append(nombreElemento);
         }
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioD_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador1D";
         	sym.$("InputD_"+i).append(nombreElemento);
         }
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioE_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador1E";
         	sym.$("InputE_"+i).append(nombreElemento);
         }
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioF_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador2F";
         	sym.$("InputF_"+i).append(nombreElemento);
         }
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioG_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador2G";
         	sym.$("InputG_"+i).append(nombreElemento);
         }
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioH_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador2H";
         	sym.$("InputH_"+i).append(nombreElemento);
         }
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioI_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador2I";
         	sym.$("InputI_"+i).append(nombreElemento);
         }
         
         for (var i=1 ; i<= TotalRadioButton; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement("input");
         	nombreElemento.id="radioJ_"+i;	 
         	nombreElemento.type="radio";
         	nombreElemento.name="jugador2J";
         	sym.$("InputJ_"+i).append(nombreElemento);
         }
         
         
         $('input:radio').hide();
         
         
         sym.$('[id^="Stage_InputA_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputB_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputC_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputD_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputE_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputF_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputG_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputH_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputI_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputJ_"]').addClass('radio-on');
         
         sym.$('[id^="Stage_InputA_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputA_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputA_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         sym.$('[id^="Stage_InputB_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputB_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputB_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         sym.$('[id^="Stage_InputC_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputC_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputC_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         sym.$('[id^="Stage_InputD_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputD_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputD_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         sym.$('[id^="Stage_InputE_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputE_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputE_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         sym.$('[id^="Stage_InputF_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputF_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputF_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         sym.$('[id^="Stage_InputG_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputG_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputG_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         sym.$('[id^="Stage_InputH_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputH_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputH_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         sym.$('[id^="Stage_InputI_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputI_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputI_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         sym.$('[id^="Stage_InputJ_"]').on("mousedown", function() {
         	var idRadio=$(this).children().attr("id");
         	var idContA=$(this).attr("id");
         	sym.$('[id^="Stage_InputJ_"]').removeClass('radio-off');
         	sym.$('[id^="Stage_InputJ_"]').addClass('radio-on');
         	$(this).addClass('radio-off');
         	$("#"+idRadio).prop('checked', true);
         });
         
         for(var i=1;i<=3;i++){
         	if (i==1){
         		$("#radioA_1").prop("value","tijera");
         		$("#radioB_1").prop("value","tijera");
         		$("#radioC_1").prop("value","tijera");
         		$("#radioD_1").prop("value","tijera");
         		$("#radioE_1").prop("value","tijera");
         		$("#radioF_1").prop("value","tijera");
         		$("#radioG_1").prop("value","tijera");
         		$("#radioH_1").prop("value","tijera");
         		$("#radioI_1").prop("value","tijera");
         		$("#radioJ_1").prop("value","tijera");
         	}
         	if (i==2){
         		$("#radioA_2").prop("value","piedra");
         		$("#radioB_2").prop("value","piedra");
         		$("#radioC_2").prop("value","piedra");
         		$("#radioD_2").prop("value","piedra");
         		$("#radioE_2").prop("value","piedra");
         		$("#radioF_2").prop("value","piedra");
         		$("#radioG_2").prop("value","piedra");
         		$("#radioH_2").prop("value","piedra");
         		$("#radioI_2").prop("value","piedra");
         		$("#radioJ_2").prop("value","piedra");
         	}
         
         	if (i==3){
         		$("#radioA_3").prop("value","papel");
         		$("#radioB_3").prop("value","papel");
         		$("#radioC_3").prop("value","papel");
         		$("#radioD_3").prop("value","papel");
         		$("#radioE_3").prop("value","papel");
         		$("#radioF_3").prop("value","papel");
         		$("#radioG_3").prop("value","papel");
         		$("#radioH_3").prop("value","papel");
         		$("#radioI_3").prop("value","papel");
         		$("#radioJ_3").prop("value","papel");
         	}
         }
         
         sym.$("help_radio").click(function(){
         	sym.$("help_radio").hide();
         	sym.getSymbol("bt_ayuda").stop("normal");
         	sym.$("hotspot_ayuda").show();
         });
         
         
         
         //RESPUESTAS CAMBIAR POR 1 PARA LA PRIMERA OPCIÓN Y 2 PARA LA SEGUNDA
         sym.setVariable("Respuesta_1", 2);
         sym.setVariable("Respuesta_2", 2);
         sym.setVariable("Respuesta_3", 2);
         sym.setVariable("Respuesta_4", 1);
         sym.setVariable("Respuesta_5", 2);
         sym.setVariable("Respuesta_6", 2);
         
         
         

      });
      //Edge binding end

      

      

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_reiniciar}", "click", function(sym, e) {
         
         sym.getSymbol("bt_solucion").stop("normal");
         sym.getSymbol("bt_reiniciar").stop("normal");
         sym.$("#Stage_hotspot_reiniciar").show();
         sym.$("#Stage_hotspot_solucion").show();
         
         $('input:radio').prop('checked', false);
         $('input:radio').hide();
         
         sym.$('[id^="Stage_InputA_"]').removeClass('radio-off');
         sym.$('[id^="Stage_InputB_"]').removeClass('radio-off');
         sym.$('[id^="Stage_InputC_"]').removeClass('radio-off');
         sym.$('[id^="Stage_InputD_"]').removeClass('radio-off');
         sym.$('[id^="Stage_InputE_"]').removeClass('radio-off');
         sym.$('[id^="Stage_InputF_"]').removeClass('radio-off');
         sym.$('[id^="Stage_InputG_"]').removeClass('radio-off');
         sym.$('[id^="Stage_InputH_"]').removeClass('radio-off');
         sym.$('[id^="Stage_InputI_"]').removeClass('radio-off');
         sym.$('[id^="Stage_InputJ_"]').removeClass('radio-off');
         
         sym.$('[id^="Stage_InputA_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputB_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputC_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputD_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputE_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputF_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputG_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputH_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputI_"]').addClass('radio-on');
         sym.$('[id^="Stage_InputJ_"]').addClass('radio-on');
         
         $("#Stage_Ganador1").html("");
         $("#Stage_Ganador2").html("");
         $("#Stage_Ganador3").html("");
         $("#Stage_Ganador4").html("");
         $("#Stage_Ganador5").html("");
         
         sym.$('[id^="Stage_Input"]').css("pointer-events","auto");
         $("input").css("pointer-events","auto");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_solucion}", "click", function(sym, e) {
         
         sym.getSymbol("bt_solucion").stop("normal");
         sym.getSymbol("bt_reiniciar").stop("normal");
         sym.$("hotspot_reiniciar").show();
         
         
         
         	//var jugador1A = sym.$('[name^="jugador1A"]').val();
         	var jugador1A = $("input:radio[name='jugador1A']:checked").val();
         	var jugador1B = $("input:radio[name='jugador1B']:checked").val();
         	var jugador1C = $("input:radio[name='jugador1C']:checked").val();
         	var jugador1D = $("input:radio[name='jugador1D']:checked").val();
         	var jugador1E = $("input:radio[name='jugador1E']:checked").val();
         
         	var jugador2F = $("input:radio[name='jugador2F']:checked").val();
         	var jugador2G = $("input:radio[name='jugador2G']:checked").val();
         	var jugador2H = $("input:radio[name='jugador2H']:checked").val();
         	var jugador2I = $("input:radio[name='jugador2I']:checked").val();
         	var jugador2J = $("input:radio[name='jugador2J']:checked").val();
         
         
         function DeterminarGanador(player1,player2){
         	var ganador = '';
         	if(player1 == 'piedra' && player2 == 'papel'){
         		ganador = 'Jugador 2';
         	}
         	if(player1 == 'piedra' && player2 == 'tijera'){
         		ganador = 'Jugador 1';
         	}
         	if(player1 == 'tijera' && player2 == 'papel'){
         		ganador = 'Jugador 1';
         	}
         	if(player1 == 'tijera' && player2 == 'piedra'){
         		ganador = 'Jugador 2';
         	}
         	if(player1 == 'papel' && player2 == 'piedra'){
         		ganador = 'Jugador 1';
         	}
         	if(player1 == 'papel' && player2 == 'tijera'){
         		ganador = 'Jugador 2';
         	}
         	if(player1 == player2){
         		ganador = 'Empate';
         	}
         	return ganador;
         }
         
         var ganador_1 = DeterminarGanador(jugador1A,jugador2F);
         var ganador_2 = DeterminarGanador(jugador1B,jugador2G);
         var ganador_3 = DeterminarGanador(jugador1C,jugador2H);
         var ganador_4 = DeterminarGanador(jugador1D,jugador2I);
         var ganador_5 = DeterminarGanador(jugador1E,jugador2J);
         
         $("#Stage_Ganador1").html(ganador_1);
         $("#Stage_Ganador2").html(ganador_2);
         $("#Stage_Ganador3").html(ganador_3);
         $("#Stage_Ganador4").html(ganador_4);
         $("#Stage_Ganador5").html(ganador_5);
         
         sym.$('[id^="Stage_Input"]').css("pointer-events","none");
         $("input").css("pointer-events","none");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_ayuda}", "click", function(sym, e) {
         if (sym.$("help_radio").is(":visible")) {
         	sym.$("help_radio").hide();
         	sym.getSymbol("bt_ayuda").stop("normal");
         } else {
         	sym.$("help_radio").show();
         	sym.getSymbol("bt_ayuda").stop("down");
         }

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_validar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'Symbol_1'
   (function(symbolName) {   
   
   })("Mayor1");
   //Edge symbol end:'Mayor1'

   //=========================================================
   
   //Edge symbol: 'Symbol_2'
   (function(symbolName) {   
   
   })("Menor1");
   //Edge symbol end:'Menor1'

   //=========================================================
   
   //Edge symbol: 'Symbol_3'
   (function(symbolName) {   
   
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         
         //TEXTAREA//
         
         sym.$("TextArea_01").append(document.createElement("TextArea"));
         $('input[type=text], textarea').css({
         	width:'1000px',
         	height:'250px',
         	border:'none',
         	background:'#FFFFFF',
         	fontSize:'26px',
         	lineHeight:'40px',
         	textAlign:'left',
         	margin:'20px',
         	fontFamily:'Cabin',
         	fontStyle:'normal',
         	color:'normal',
         	fontStyle:'#666666'
         });
         
         //TERMINA EL TEXT AREA//

      });
      //Edge binding end

   })("Symbol_3");
   //Edge symbol end:'Symbol_3'

   //=========================================================
   
   //Edge symbol: 'Mayor1_1'
   (function(symbolName) {   
   
      })("Mayor2");
   //Edge symbol end:'Mayor2'

   //=========================================================
   
   //Edge symbol: 'Menor1_1'
   (function(symbolName) {   
   
      })("Menor2");
   //Edge symbol end:'Menor2'

})(jQuery, AdobeEdge, "EDGE-1010687340");